<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<h2 class="error-page-title">
  {{ "core.exit." + appExitCode + ".title" | translate }}
</h2>

<h4 class="error-page-message">
  {{ "core.exit." + appExitCode + ".message" | translate }}
</h4>

<button *ngIf="!(appExitCode | appIsLoggingOutPipe)"
   (click)="appRouting.emit()" class="openk-button openk-info error-page-anchor">
  <mat-icon>
    first_page
  </mat-icon>
  {{ "core.exit." + appExitCode + ".anchor" | translate }}
</button>

<a *ngIf="appExitCode | appIsLoggingOutPipe"
   (click)="appClosing.emit()" [href]="appHref" class="openk-button openk-info error-page-anchor">
  <mat-icon>
    first_page
  </mat-icon>
  {{ "core.exit." + appExitCode + ".anchor" | translate }}
</a>
